# Uses of Interface
org.opensaml.soap.wstrust.Authenticator

Packages that use Authenticator
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Authenticator in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Authenticator
Modifier and Type
Class
Description
`class`
`AuthenticatorImpl`
AuthenticatorImpl.
Methods in org.opensaml.soap.wstrust.impl that return Authenticator
Modifier and Type
Method
Description
`Authenticator`
AuthenticatorBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Authenticator`
AuthenticatorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.